﻿Imports System.ComponentModel

Public MustInherit Class DesignerObject
    Implements INotifyPropertyChanged



    Protected _id As String
    Public ReadOnly Property ID As String
        Get
            Return _id
        End Get
    End Property

    Private _isNew As Boolean
    Public Property IsNew As Boolean
        Get
            Return _isNew
        End Get
        Set(value As Boolean)
            _isNew = value
            OnPropertyChanged("IsNew")
        End Set
    End Property

    Public MustOverride Property X As Double
    Public MustOverride Property Y As Double

    Public Event PropertyChanged(sender As Object, e As PropertyChangedEventArgs) Implements INotifyPropertyChanged.PropertyChanged
    Protected Sub OnPropertyChanged(ByVal name As String)
        RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(name))
    End Sub
End Class