﻿Public Class Triangle : Inherits DesignerObject

    Private Shared Number As Integer = 0

    Private _no As Integer
    Public Property No As Integer
        Get
            Return _no
        End Get
        Set(value As Integer)
            If value < Number Then
                Number += 1
            End If
            _no = Number
            _id = "triang" & Number.ToString
            OnPropertyChanged("No")
        End Set
    End Property


    ' The Support's X and Y properties are always 0 because the line coordinates are actually determined the Nodes properties.
    Public Overrides Property X As Double
            Get
            Return 0
        End Get
            Set(value As Double)
            End Set
        End Property
        Public Overrides Property Y As Double
            Get
            Return 0
        End Get
            Set(value As Double)
            End Set
        End Property

    Private _node As Node
    Public Property Node As Node
        Get
            Return _node
        End Get
        Set(value As Node)
            _node = value
            OnPropertyChanged("Node")
        End Set
    End Property


    Public Sub New()
        Number += 1
        No = Number
        _id = "triang" & Number.ToString
        IsNew = True
    End Sub

End Class
